/**
 * Reopen the "Alert" dialog window if it was closed by the user.
 *
 *
 * @source  https://github.com/rosasurfer/mt4-expander/blob/0944c6f/src/lib/terminal.cpp#L599
 */


#import "rsfExpander.dll"
   /**
    * Reopen the terminal's "Alert" dialog box after it was closed by the user.
    *
    * @param  bool sound - Whether to confirm the re-opening with the standard "Alert" sound.
    *                      No sound is played if the dialog is already open.
    *
    * @return bool - success status; FALSE if the "Alert" dialog is empty (i.e. it was not opened before)
    */
   bool ReopenAlertDialog(int sound);
#import


/**
 * Main function
 *
 * @return int - error status
 */
int start() {

   if (ReopenAlertDialog(true)) {
      Print("Alert dialog reopened.");
   }
   else {
      Alert("Alert dialog was empty and not opened before.");
   }

   return(0);
}
